pro image2movie_qt_tools,movie_dir, movie_name, link=link, $
   parent_out=parent_out, loadsettings=loadsettings, rate=rate
;+
;   Name: image2movie_qt_tools
;
;   Purpose: use qt_tools to generate qt/mpeg4/h264 movies
;
;   Input Paramters:
;      movie_dir - path containing graphics files
;      movie_name - user supplied movie_name (sans extension)
; -


files=file_search(movie_dir,'')
break_file,files(0),ll,pp,ff,fext

if n_elements(rate) eq 0 then rate=15

break_file,movie_dir,ll,mpath,mfile,mext
if n_elements(parent_out) eq 0 then parent_out=mpath
if n_elements(movie_name) eq 0 then movie_name='i2m_qt'

srate=strtrim(rate,2)

defset='exportsettings.st'
defset=concat_dir('$SSW_ONTOLOGY',concat_dir('data',defset))
case 1 of 
   file_exist(loadsettings):  ; user supplied
   file_exist(defset): loadsettings=defset
   else: begin
      box_message,"Cant find loadsettings file - supply via LOADSETTINGS="
      return
   endcase
endcase

nf=n_elements(files)
lnames=concat_dir(movie_dir,'frame_'+string(indgen(nf),format='(I5.5)') + fext)
linkcmds='ln -s '+ files + ' ' + lnames 

ssw_file_delete,lnames
for i=0,nf-1 do spawn,str2arr(linkcmds(i),' '),/noshell


cmd='/usr/local/bin/qt_export --sequencerate='+srate+ ' ' + lnames(0) + $
' --loadsettings='+loadsettings + ' ' +  $
    concat_dir(parent_out,movie_name) + '.mov'

stop
return
end




