pro ssw_service_get_data, jobid, job_path, out_dir=out_dir, loud=loud, progress=progress, $
   path_only=path_only, url_only=url_only
;
;+
;   Name: ssw_service_get_data
;
;   Purpose: get data from some ssw service -> ssw session 
;
;   Input Parameters:
;      jobid - ssw service JobID 
;
;   Output Parameters:
;      job_path - fully qualified data path or url implied by JobID
;
;   Keyword Paramters:
;      out_dir - optional output directory for data transfers
;      loud - (switch) - if set, show some diagnostics
;      path_only/url_only - (switches) if set, return path or url in <job_path> w/no Transfers
;
;   History:
;      21-oct-2009  - S.L.Freeland - ssw web services helper routine
;
;-


loud=keyword_set(loud)
progress=keyword_set(progress)

if n_elements(jobid) eq 0 then begin 
    box_message,'Need ssw service jobid..., returing'
    return
endif

parent=get_logenv('ssw_service_data')
if parent eq '' then $
   ;parent='http://www.lmsal.com/solarsoft/archive/sdo/ssw_client/data/'
   parent='http://sdowww.lmsal.com/sdomedia/ssw/ssw_client/data/'

dataurl=parent+jobid +'/'
job_path=dataurl

path_only=keyword_set(path_only)
url_only=keyword_set(url_only)
if path_only or url_only and n_params() eq 2 then begin 
   job_path=dataurl
   if path_only then job_path=str_replace(job_path,'http://www.lmsal.com/solarsoft','')
   return ; !!!! EARLY (unstructured) exit
endif 


sock_list,dataurl,list

list=web_dechunk(list)

ss=where(strpos(list,'.list') ne -1,lcnt)
if lcnt eq 0 then ss=where(strpos(list,'.dat') ne -1, lcnt)

if lcnt gt 0 then begin
   lfiles=strextract(list(ss),'href="','"') 
   lurls=dataurl+lfiles
   for i=0,lcnt-1 do begin 
      if loud then box_message,'Listing>> ' + lfiles(i) 
      sock_list,lurls(i),sswfiles
      if loud then box_message,'Copying ' + strtrim(n_elements(sswfiles),2) +' files..'
      sock_copy,dataurl+ssw_strsplit(sswfiles,'/',/tail), progress=progress, out_dir=out_dir
   endfor
   

endif else box_message,'No list files?' ; tbd - transfer all?


return
end
